// Пример 11. Чтение полей таблицы не по имени, а по номеру (на основе примера 1)

var CTabl; // объект класса для работы с текущей таблицей

int idxTN   =0, // табельный номер
    idxFIO  =1, // ФИО
    CountIdx=2;

int fld[CountIdx];

int len=250;
char str[len];

Primer11()
{
  CTabl=CreateObject("CurPrnTbl");
  FillFld();

  int cr=CTabl.Count_Rcr(); // число рабочих записей в таблице   

  int    tn;  // табельный номер
  string fio; // фамилия, имя, отчество

  // цикл по записям таблицы
  for (int zap=0; zap<cr; zap++)
  {
    tn =atoi(CTabl.Text(fld[idxTN],zap)); // обращаемся к полям таблицы по номеру
    fio=CTabl.Text(fld[idxFIO],zap); 
    FreeSpaceString(fio,3,"");

    sprintf(str,"%7d %-40.40s", tn, fio); 
    print(str);
  }

  return 0;
}

FillFld()
// Находим номера полей в таблице
{
  fld[idxTN]  = CTabl.Find_Name_Fld("C_FIO");
  fld[idxFIO] = CTabl.Find_Name_Fld("FIO");
}
